## ros-kinetic-vrx-gazebo 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(vrx_gazebo)

# We need erb to process the .world.erb files.
find_program(ERB_EXE_PATH erb)
if(NOT ERB_EXE_PATH)
  message(FATAL_ERROR "Could not find the `erb` tool.  Try `sudo apt-get install ruby`")
endif()

set (CMAKE_AUTOMOC ON)
set (CMAKE_AUTOUIC ON)

find_package (Qt5Widgets REQUIRED)
find_package (Qt5Core REQUIRED)
find_package (Protobuf REQUIRED)
find_package (gazebo REQUIRED)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  wamv_gazebo
  wave_gazebo
  xacro
  gazebo_dev
  geographic_msgs
  std_msgs
  rospy
  roscpp
)

########################
## Message generation ##
########################

add_message_files(
  FILES
  Task.msg
  Contact.msg
)

add_service_files(
  FILES
  ColorSequence.srv
)

# Python scripts setup
catkin_python_setup()

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS wamv_gazebo wave_gazebo xacro gazebo_dev geographic_msgs std_msgs message_runtime
)

set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS} ${GAZEBO_CXX_FLAGS}") 

include_directories(include ${catkin_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
  ${QT_USE_FILE}
  ${GAZEBO_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}/msgs
)

link_directories(${GAZEBO_LIBRARY_DIRS} ${CMAKE_CURRENT_BINARY_DIR}/msgs)
add_subdirectory(msgs)

add_definitions(${QT_DEFINITIONS})

# Library for displaying waypoint markers
add_library(waypoint_markers src/waypoint_markers.cc)
target_link_libraries(waypoint_markers ${catkin_LIBRARIES})
add_dependencies(waypoint_markers ${catkin_EXPORTED_TARGETS})
install(TARGETS waypoint_markers
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Plugin for setting color of light buoy.
add_library(light_buoy_plugin src/light_buoy_plugin.cc)
target_link_libraries(light_buoy_plugin
  ${catkin_LIBRARIES} 
  light_buoy_colors_msgs
)
add_dependencies(light_buoy_plugin ${catkin_EXPORTED_TARGETS}
  light_buoy_colors_msgs
)
install(TARGETS light_buoy_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Plugin for setting color and shape of a placard.
add_library(placard_plugin src/placard_plugin.cc)
target_link_libraries(placard_plugin
  ${catkin_LIBRARIES}
  dock_placard_msgs
)
add_dependencies(placard_plugin
  ${catkin_EXPORTED_TARGETS}
  dock_placard_msgs
)
install(TARGETS placard_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# A generic scoring plugin.
add_library(scoring_plugin src/scoring_plugin.cc)
target_link_libraries(scoring_plugin
  ${catkin_LIBRARIES}
)
add_dependencies(scoring_plugin
  ${catkin_EXPORTED_TARGETS}
  vrx_gazebo_generate_messages_cpp
  vrx_gazebo_generate_services_cpp
)
install(TARGETS scoring_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Plugin for scoring the navigation challenge task.
add_library(navigation_scoring_plugin src/navigation_scoring_plugin.cc)
target_link_libraries(navigation_scoring_plugin
  ${catkin_LIBRARIES}
  scoring_plugin)
add_dependencies(navigation_scoring_plugin ${catkin_EXPORTED_TARGETS})
install(TARGETS navigation_scoring_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Plugin for scoring the station keeping challenge task.
add_library(stationkeeping_scoring_plugin src/stationkeeping_scoring_plugin.cc)
target_link_libraries(stationkeeping_scoring_plugin
  ${catkin_LIBRARIES}
  scoring_plugin
  waypoint_markers)
add_dependencies(stationkeeping_scoring_plugin ${catkin_EXPORTED_TARGETS})
install(TARGETS stationkeeping_scoring_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Plugin for scoring the waypoint navigation challenge task.
add_library(wayfinding_scoring_plugin src/wayfinding_scoring_plugin.cc)
target_link_libraries(wayfinding_scoring_plugin
  ${catkin_LIBRARIES}
  scoring_plugin
  waypoint_markers)
add_dependencies(wayfinding_scoring_plugin ${catkin_EXPORTED_TARGETS})
install(TARGETS wayfinding_scoring_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Plugin for scoring the scan and dock task.
add_library(scan_dock_scoring_plugin src/scan_dock_scoring_plugin.cc)
target_link_libraries(scan_dock_scoring_plugin
  ${catkin_LIBRARIES}
  scoring_plugin 
  light_buoy_colors_msgs
  dock_placard_msgs
  )
add_dependencies(scan_dock_scoring_plugin
  ${catkin_EXPORTED_TARGETS}
  light_buoy_colors_msgs
  dock_placard_msgs
)
install(TARGETS scan_dock_scoring_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if("${GAZEBO_MAJOR_VERSION}" GREATER "7")
  # Plugin for Task Info GUI Overlay
  add_library(gui_task_widget SHARED ${headers_MOC}
         	src/gui_task_widget.cc
  )

  target_link_libraries(gui_task_widget 
    ${catkin_LIBRARIES}
    ${GAZEBO_LIBRARIES}
    ${PROTOBUF_LIBRARIES}
    ${QT_LIBRARIES}
  )
  qt5_use_modules(gui_task_widget Widgets)
  add_dependencies(gui_task_widget ${catkin_EXPORTED_TARGETS})
  install(TARGETS gui_task_widget
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )
endif()

# Plugin for scoring the perception task.
add_library(perception_scoring_plugin src/perception_scoring_plugin.cc)
target_link_libraries(perception_scoring_plugin
  ${catkin_LIBRARIES}
  scoring_plugin)
add_dependencies(perception_scoring_plugin ${catkin_EXPORTED_TARGETS})
install(TARGETS perception_scoring_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Dock base files that need to be processed with erb
set (dock_base_erb_files
  models/dock_2016_base/model.sdf.erb
  models/dock_2018_base/model.sdf.erb
  models/dock_2016_base_dynamic/model.sdf.erb
  models/dock_2018_base_dynamic/model.sdf.erb
)

# Dock files that need to be processed with erb
set (dock_erb_files
  models/dock_2016/model.sdf.erb
  models/dock_2018/model.sdf.erb
  models/dock_2016_dynamic/model.sdf.erb
  models/dock_2018_dynamic/model.sdf.erb
)

# Process the dock base erb files
foreach(_erb ${dock_base_erb_files})
  string(REGEX REPLACE ".sdf.erb" ".sdf" _model ${_erb})
  set(_model ${CMAKE_CURRENT_SOURCE_DIR}/${_model})
  add_custom_command(OUTPUT ${_model}
                     COMMAND ${ERB_EXE_PATH} ${_erb} > ${_model}
                     DEPENDS
                       ${CMAKE_CURRENT_SOURCE_DIR}/${_erb}
                       ${CMAKE_CURRENT_SOURCE_DIR}/dock_generator.erb
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

  list(APPEND dock_base_files ${_model})
endforeach()
add_custom_target(dock_base_erb_generation ALL DEPENDS ${dock_base_files})

# Process the dock erb files
foreach(_erb ${dock_erb_files})
  string(REGEX REPLACE ".sdf.erb" ".sdf" _model ${_erb})
  set(_model ${CMAKE_CURRENT_SOURCE_DIR}/${_model})
  add_custom_command(OUTPUT ${_model}
                     COMMAND ${ERB_EXE_PATH} ${_erb} > ${_model}
                     DEPENDS
                       ${CMAKE_CURRENT_SOURCE_DIR}/${_erb}
                       ${CMAKE_CURRENT_SOURCE_DIR}/dock_generator.erb
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

  list(APPEND dock_files ${_model})
endforeach()
add_custom_target(dock_erb_generation ALL
  DEPENDS
    ${dock_files}
    dock_base_erb_generation
)

# Generate world files from xacro and install
xacro_add_files(
  worlds/example_course.world.xacro
  worlds/navigation_task.world.xacro
  worlds/perception_task.world.xacro
  worlds/sandisland.world.xacro
  worlds/dock.world.xacro
  worlds/scan_and_dock.world.xacro
  worlds/stationkeeping_task.world.xacro
  worlds/wayfinding_task.world.xacro
  worlds/wind_test.world.xacro
  worlds/ocean.world.xacro
  INORDER INSTALL DESTINATION worlds
)
# Generate obstacle course
add_custom_command(
  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/models/robotx_2018_qualifying_avoid_obstacles_buoys/model.sdf
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/scripts/generate_avoid_obstacles_buoys
  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/scripts/generate_avoid_obstacles_buoys --seed 1337 --a3 6 --a5 7 --a7 7 > ${CMAKE_CURRENT_SOURCE_DIR}/models/robotx_2018_qualifying_avoid_obstacles_buoys/model.sdf
)
add_custom_target(${PROJECT_NAME}_generate_obstacle_course_buoys ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/models/robotx_2018_qualifying_avoid_obstacles_buoys/model.sdf)

# Install all the config files
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config)

# Install all the world files
install(DIRECTORY worlds/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/worlds)

# Install all the model files
install(DIRECTORY models/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/models)

# Install all the launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

install(PROGRAMS scripts/spawn_wamv.bash
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest_gtest(sandisland_test
                    test/sandisland.test
                    test/sandisland.cc)
  target_link_libraries(sandisland_test ${catkin_LIBRARIES})
endif()

# Python Scripts
catkin_install_python(PROGRAMS bin/generate_wamv
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== docs/Makefile ===
#LATEX = latex
LATEX = pdflatex
BIBTEX = bibtex
DVIPS = dvips
PS2PDF = ps2pdf
VIEWPDF = okular

BASE_NAME = wave_generation  # theory_of_operation

all: $(BASE_NAME).pdf

#byu-sow.pdf: byu-sow.tex
#	$(LATEX) $< && $(LATEX) $<

%.pdf: %.tex $(PNG_FILES) %.bbl
	$(LATEX) $< && $(LATEX) $< && $(LATEX) $<

$(BASE_NAME).bbl $(BASE_NAME).blg: $(BASE_NAME).bib $(BASE_NAME).aux
	$(BIBTEX) $(BASE_NAME)

$(BASE_NAME).aux: $(BASE_NAME).bib
	$(LATEX) $(BASE_NAME).tex

$(BASE_NAME).bib: $(BASE_NAME).tex
	$(LATEX) $(BASE_NAME).tex

$(BASE_NAME).dvi: $(BASE_NAME).tex
	$(LATEX) $< && $(LATEX) $<

$(BASE_NAME).ps: $(BASE_NAME).dvi
	$(DVIPS) -P pdf -f -t a4 $(BASE_NAME).dvi > $@

display: $(BASE_NAME).pdf
	$(VIEWPDF) $(BASE_NAME).pdf &

%.eps: %.dia
	cd `dirname $<` && dia `basename $<` -t eps

%.pdf: %.eps
	epstopdf $<

clean:
	rm -rf *.ps *.dvi *.log *.aux *.blg *.toc missfont.log *.bbl doxygen html latex *.out

=== msgs/CMakeLists.txt ===
find_package(Protobuf REQUIRED)
set(PROTOBUF_IMPORT_DIRS)
foreach(ITR ${GAZEBO_INCLUDE_DIRS})
  if(ITR MATCHES ".*gazebo-[0-9.]+$")
    set(PROTOBUF_IMPORT_DIRS "${ITR}/gazebo/msgs/proto")
  endif()
endforeach()
set (msgs
  light_buoy_colors.proto
  dock_placard.proto
  ${PROTOBUF_IMPORT_DIRS}/header.proto
  ${PROTOBUF_IMPORT_DIRS}/time.proto
)
PROTOBUF_GENERATE_CPP(PROTO_SRCS PROTO_HDRS ${msgs})

add_library(light_buoy_colors_msgs SHARED ${PROTO_SRCS})
target_link_libraries(light_buoy_colors_msgs ${PROTOBUF_LIBRARY})

add_library(dock_placard_msgs SHARED ${PROTO_SRCS})
target_link_libraries(dock_placard_msgs ${PROTOBUF_LIBRARY})

install(TARGETS dock_placard_msgs
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS light_buoy_colors_msgs
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-vrx-gazebo (1.3.0-1xenial) xenial; urgency=high

  * Fix pose frame in scan_and_dock1.world
  * make marker id more intelligible
  * documenting new yaw parameter
  * adding direction indicator to visual markers for stationkeeping and wayfinding
  * Fix perception plugin object types.
  * Fix offset in 2016 dynamic dock.
  * Center all placards in the dock bays.
  * Update expected type in perception plugin for surmark objects.
  * Set initial and ready states to 10 seconds in dock tasks.
  * Merged in worlds_refactor (pull request #213)
    Refactor VRX worlds location
    Approved-by: Coline Ramee <mailto:coline.ramee@gatech.edu>
    Approved-by: Brian Bingham <mailto:briansbingham@gmail.com>
  * Make the exit gate a blue-red gate.
  * Refactor VRX worlds location.
  * Updated perception score according to the 1.4 version of the tasks document.
  * dealing with fail and style tweaks
  * adding a modified nav course world to speed up testing
  * changing scoring method to be consistent with documentation
  * tracking down more bad dock worlds
  * disables color checker in example models and by default in dock.xacro
  * prohibiting p3d sensor in compliance check
  * update old worlds
  * changing task names in standalone
  * initializing error total
  * adding worlds and models used in Phase2 for Phase 3 practice
  * adding xacro parameter to specify task name in plugin
  * adding commad line arg to keydrive launch
  * remapping for new namespace
  * Add sail and rudder link to wamv base, as well as turn post to wind direction arrow
  * Extra path to be added to GAZEBO_MODEL_PATH.
  * Set GAZEBO_MODEL_PATH while playing back.
  * adding practice worlds for stationkeeping and wayfinding
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Carlos Aguero, Carlos Agüero <mailto:cen.aguero@gmail.com>, Tyler Lum <mailto:tylergwlum@gmail.com>, m1chaelm

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 25 Dec 2019 23:00:00 -0000

ros-kinetic-vrx-gazebo (1.2.6-1xenial) xenial; urgency=high

  * new worlds with only one dock
  * Scan and dock worlds - models are aleady present
  * Merged in stationkeeping_wind (pull request #187)
    Default Wind for Tasks
    Approved-by: Brian Bingham <mailto:briansbingham@gmail.com>
  * Adding stdout messages when to help with debugging color sequence checking service
  * Adding navigation course models and worlds.
  * Adding practice perception worlds.
  * adding dock worlds and associated models to support dress rehearsal practice
  * style
  * Functionality to turn off color checker in the scan_dock_scoring_plugin
  * restore rms_error topic name
  * merging default
  * Merged in issue_164 (pull request #188)
    Fixing dock scoring plugin for Gazebo 9
    Approved-by: Brian Bingham <mailto:briansbingham@gmail.com>
  * tweak to generator to allow calling same macro more than once
  * towards permutations
  * adding empty directory
  * Remove dock_2018_dynamic/model.sdf
  * fix meanError equation
  * switching from RMS error to mean pose error
  * new heading error formula
  * adding model_name paramter to dock.xacro for flexibility in generating automated tasks
  * state diagram
  * images for wiki
  * Tweak
  * Double activation zone.
  * Style.
  * removing activation zone viz from world.xacro
  * adding gzmsgs
  * merging with issue_164 and moving dock closer to WAMV
  * increment
  * Moving dock closer to WAMV
  * Functional
  * temporary
  * working on brute force docking solution
  * easier setup, but not working?
  * adding insert blocks to generate debug markers for wayfinding and stationkeeping tasks
  * Tweak
  * Fixing dock scoring plugin for Gazebo 9.
  * Move lock_guard.
  * code check whitespace
  * reinit when getting new color seq.
  * adding default wind to dock, scan-dock and wayfinding tasks
  * connecting usv_wind_plugin to stationkeeping world
  * Model default is off.
  * adding params to dock.xacro for task/trial generation
  * adds light buoys
  * changes to debugging messages to help find issues with docking
  * More Python3 tweaks.
  * Remove .keys().
  * Easy docking example for testing
  * adding wamv_locked argument to vrx.launch
  * adding fog and ambient elements to sandisland xacro
  * messing with plugins
  * simple macro for inserting a model - useful for task generation
  * a bit of a hack, but allows us repeated use of same macro
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Carlos Aguero, Carlos Agüero <mailto:cen.aguero@gmail.com>, m1chaelm

 -- Carlos Aguero <caguero@osrfoundation.org>  Thu, 03 Oct 2019 22:00:00 -0000

ros-kinetic-vrx-gazebo (1.2.5-1xenial) xenial; urgency=high

  * Remove <announce_symbol> parameter.
  * moving static docks to waterline
  * Use __future__ import
  * Adding running_duration parameter to the nav_challenge.xacro.
  * Tweak buoyany primative so that 4x4 dock element floats at water line instead of above
  * Adding parameters to dock.xacro to for auto. generation of tasks
  * adding params to dock xacro for the benefit of automatically generating tasks
  * Changes for code checker
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Carlos Aguero, Carlos Aguero <mailto:caguero@openrobotics.org>

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 18 Sep 2019 22:00:00 -0000

ros-kinetic-vrx-gazebo (1.2.4-1xenial) xenial; urgency=high

  * Add protobuf-dev as a buildtool depend for vrx_gazebo
  * Tweaks: Adding missing line breaks and adjusting perspective file for new topic namespace
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Tully Foote <mailto:tfoote@osrfoundation.org>

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 11 Sep 2019 22:00:00 -0000

ros-kinetic-vrx-gazebo (1.2.3-1xenial) xenial; urgency=high

  * Minor maintenance updates.
  * Contributors: Carlos Aguero

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 11 Sep 2019 22:00:00 -0000



=== debian/control ===
Source: ros-kinetic-vrx-gazebo
Section: misc
Priority: optional
Maintainer: Carlos Aguero <caguero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libprotobuf-dev, libprotoc-dev, protobuf-compiler, ros-kinetic-catkin, ros-kinetic-gazebo-dev, ros-kinetic-gazebo-ros (>= 2.5.17), ros-kinetic-geographic-msgs, ros-kinetic-joy, ros-kinetic-joy-teleop, ros-kinetic-message-runtime, ros-kinetic-std-msgs, ros-kinetic-wamv-gazebo, ros-kinetic-wave-gazebo, ros-kinetic-xacro
Homepage: http://wiki.ros.org/vrx_gazebo
Standards-Version: 3.9.2

Package: ros-kinetic-vrx-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gazebo-dev, ros-kinetic-gazebo-ros (>= 2.5.17), ros-kinetic-geographic-msgs, ros-kinetic-joy, ros-kinetic-joy-teleop, ros-kinetic-message-runtime, ros-kinetic-std-msgs, ros-kinetic-wamv-gazebo, ros-kinetic-wave-gazebo, ros-kinetic-xacro
Replaces: ros-kinetic-vmrc-gazebo
Description: The ROS package for the RobotX competition running in Gazebo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-vrx-gazebo//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
